package ru.soune.nocopy.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.soune.nocopy.entity.file.ImageHashEntity;

import java.util.List;

@Repository
public interface ImageHashRepository extends JpaRepository<ImageHashEntity, String> {
    void deleteByFileId(String fileId);
    List<ImageHashEntity> findByFileId(String fileId);
    ImageHashEntity findByHash64HiAndHash64Lo(Long hash64Hi, Long hash64Lo);
}
